Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class NodeDesc

    java.lang.Object
      SEdit.ElementDesc
          SEdit.NodeDesc

Direct Known Subclasses:
  ComponentDesc, ConnectorDesc

    public class NodeDesc

extends ElementDesc

Field Summary
`java.lang.String` | `iconName`

Fields inherited from class SEdit.ElementDesc
`ACTIONPROPERTIES, actions, category, debug, elementClass, graphicClass, GRAPHICPROPERTIES, icon, PROPERTIES`

Constructor Summary
`NodeDesc(java.lang.String name, java.lang.String desc, java.lang.String classname)` FIXME: delete this line if it compiles public String[] getIconSet() {return iconSet;}

Method Summary
`java.lang.String` | `getIconName()` FIXME: delete this line public String[] iconSet; // set of icons (if it is a GMultiIcon)
`boolean` | `isStandardDefaultValue(java.lang.String name, java.lang.String value, int type)`
`void` | `setIconName(java.lang.String i)`
`java.lang.String` | `toString()`

Methods inherited from class SEdit.ElementDesc
`addActionDesc, addActionDesc, getAction, getActions, getCategory, getDefaultLabel, getDescription, getElementClass, getFormalism, getGraphicClass, getGraphicProperties, getIcon, getName, getProperties, hasActions, hasIcon, isDefaultValue, makeElement, setActions, setCategory, setDefaultLabel, setElementClass, setFormalism, setGraphicClass, setGraphicProperties, setIcon, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### iconName

    public java.lang.String iconName

Constructor Detail

### NodeDesc

    public NodeDesc(java.lang.String name,
                    java.lang.String desc,
                    java.lang.String classname)

  FIXME: delete this line if it compiles public String[] getIconSet() {return iconSet;}

Method Detail

### getIconName

    public java.lang.String getIconName()

  FIXME: delete this line public String[] iconSet; // set of icons (if it is a GMultiIcon)

### setIconName

    public void setIconName(java.lang.String i)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ElementDesc`

### isStandardDefaultValue

    public boolean isStandardDefaultValue(java.lang.String name,
                                          java.lang.String value,
                                          int type)

  Overrides:
    `isStandardDefaultValue` in class `ElementDesc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.